const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("invoicecontent", {
    name: DataTypes.STRING,
    isEnabled: {
        type:DataTypes.BOOLEAN,
        allowNull:false,
        defaultValue:false
    },
  }, {
      paranoid: true,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      timestamps: true,
      //freezeTableName: true,
      // define the table's name
      tableName: 'd_invoicecontent',
      validate: {

      },
      indexes: [
      ]
    });
}
